commit a93603bba0eae7756e84f9b7edb0a53c3aa45c6a
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Fri Sep 25 00:17:04 2020 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 4ee92d4bc20..8987bb13dbf 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,39 @@
+2020-09-24  H.J. Lu  <hjl.tools@gmail.com>
+
+	Backported from master:
+	2020-09-16  H.J. Lu  <hjl.tools@gmail.com>
+
+	PR target/97032
+	* cfgexpand.c (asm_clobber_reg_kind): Set sp_is_clobbered_by_asm
+	to true if the stack pointer is clobbered by asm statement.
+	* emit-rtl.h (rtl_data): Add sp_is_clobbered_by_asm.
+	* config/i386/i386.c (ix86_get_drap_rtx): Set need_drap to true
+	if the stack pointer is clobbered by asm statement.
+
+2020-09-24  Alan Modra  <amodra@gmail.com>
+
+	Backported from master:
+	2020-09-24  Alan Modra  <amodra@gmail.com>
+
+	PR target/97166
+	* config/rs6000/rs6000-c.c (rs6000_target_modify_macros):
+	Conditionally define __PCREL__.
+
+2020-09-24  Andrea Corallo  <andrea.corallo@arm.com>
+
+	Backported from master:
+	2020-09-21  Andrea Corallo  <andrea.corallo@arm.com>
+
+	* config/aarch64/aarch64-builtins.c
+	(aarch64_general_expand_builtin): Use expand machinery not to
+	alter the value of an rtx returned by force_reg.
+
+2020-09-24  Alex Coplan  <alex.coplan@arm.com>
+
+	* config/aarch64/aarch64-cores.def: Add Neoverse V1.
+	* config/aarch64/aarch64-tune.md: Regenerate.
+	* doc/invoke.texi: Document support for Neoverse V1.
+
 2020-09-22  David Faust  <david.faust@oracle.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 52a894dd654..cfe4a2ef954 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20200924
+20200925
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 5db056a82fc..3b1f8c92c76 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2020-09-24  H.J. Lu  <hjl.tools@gmail.com>
+
+	Backported from master:
+	2020-09-16  H.J. Lu  <hjl.tools@gmail.com>
+
+	PR target/97032
+	* gcc.target/i386/pr97032.c: New test.
+
 2020-09-22  David Faust  <david.faust@oracle.com>
 
 	Backported from master:
diff --git a/libffi/ChangeLog b/libffi/ChangeLog
index 593e2cc7a29..38b8e5ed889 100644
--- a/libffi/ChangeLog
+++ b/libffi/ChangeLog
@@ -1,3 +1,14 @@
+2020-09-24  Alan Modra  <amodra@gmail.com>
+
+	Backported from master:
+	2020-09-24  Alan Modra  <amodra@gmail.com>
+
+	PR target/97166
+	* src/powerpc/linux64.S (ffi_call_LINUX64): Don't emit global
+	entry when __PCREL__.  Call using @notoc.  Add nops.
+	* src/powerpc/linux64_closure.S (ffi_closure_LINUX64): Likewise.
+	(ffi_go_closure_linux64): Likewise.
+
 2020-07-23  Release Manager
 
 	* GCC 10.2.0 released.

